Package icyllis.arc3d.compiler.tree

# Enum Class Node.ElementKind

java.lang.Object
java.lang.Enum<Node.ElementKind>
icyllis.arc3d.compiler.tree.Node.ElementKind

All Implemented Interfaces:
  `Serializable`, `Comparable<Node.ElementKind>`, `Constable`

Enclosing class:
  `Node`

public static enum Node.ElementKind extends Enum<Node.ElementKind>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXTENSION`
  `FUNCTION_DEFINITION`
  `FUNCTION_PROTOTYPE`
  `GLOBAL_VARIABLE`
  `INTERFACE_BLOCK`
  `MODIFIERS`
  `STRUCT_DEFINITION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<? extends TopLevelElement>`
  `getType()`
  `static Node.ElementKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Node.ElementKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXTENSION

    public static final Node.ElementKind EXTENSION

  - ### FUNCTION_DEFINITION

    public static final Node.ElementKind FUNCTION_DEFINITION

  - ### FUNCTION_PROTOTYPE

    public static final Node.ElementKind FUNCTION_PROTOTYPE

  - ### GLOBAL_VARIABLE

    public static final Node.ElementKind GLOBAL_VARIABLE

  - ### INTERFACE_BLOCK

    public static final Node.ElementKind INTERFACE_BLOCK

  - ### MODIFIERS

    public static final Node.ElementKind MODIFIERS

  - ### STRUCT_DEFINITION

    public static final Node.ElementKind STRUCT_DEFINITION

- ## Method Details

  - ### values

    public static Node.ElementKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Node.ElementKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public Class<? extends TopLevelElement> getType()